Name: alt-docs-junior
Version: 2.3
Release: alt4
Group: Books/Other

Source0: %name.tar.bz2

License: FDL
BuildArch: noarch
Url: http://docs.altlinux.ru

PreReq: alternatives >= 0.0.6
Summary: ALT Linux 2.3 Junior User reference

# Automatically added by buildreq on Sat May 08 2004
BuildRequires: libalternatives-devel

%description
ALT Linux 2.3 Junior User reference. This is main documentation 
provided with Junior. This reference contains instructions on how 
to install, configure and maintain ALT Linux, information about 
available user applications list and information about ALT Linux company.

%description -l ru_RU.KOI8-R
    ALT Linux 2.3 Junior. 
 ,   Junior.    
   ,    
,       
    ALT Linux.

%prep
%setup -q -n %name-%version


%install
%__mkdir_p %buildroot%_altdir
%__mkdir_p %buildroot%_docdir/{%name-%version,alt-docs}
%__cp -r %_builddir/%name-%version/* %buildroot%_docdir/%name-%version/

%__cat <<__EOF__ >%buildroot%_altdir/%name-index.xml 
<group name="candidate">
	<option name="link">%_docdir/alt-docs/index.html</option>
	<option name="real">%_docdir/%name-%version/index.html</option>
	<option name="weight" type="number">10</option>
</group>
__EOF__

%__cat <<__EOF__ >%buildroot%_altdir/%name-distrib.xml      
<group name="candidate">
        <option name="link">%_docdir/alt-docs/distrib.html</option>
        <option name="real">%_docdir/%name-%version/distrib.html</option>
        <option name="weight" type="number">50</option>
	</group>
__EOF__
			
%post
%register_alternatives %name-index.xml 
%register_alternatives %name-distrib.xml

%preun
%unregister_alternatives %name-index.xml      
%unregister_alternatives %name-distrib.xml

%files
%_altdir/%name-index.xml 
%_altdir/%name-distrib.xml
%_docdir/%name-%version
%_docdir/alt-docs


%changelog
* Tue Jun 15 2004 Kirill Maslinsky <kirill@altlinux.ru> 2.3-alt4
- fixed relative url in distrib.html: file protocol removed

* Fri May 28 2004 Kirill Maslinsky <kirill@altlinux.ru> 2.3-alt3
- link in distrib.html changed from absolute to relative

* Fri May 14 2004 Kirill Maslinsky <kirill@altlinux.ru> 2.3-alt2
- Added chapter "Start work with ALT Linux 2.3 Junior" made from 
Operators manual for schooljunior. All schooljunior speciefic 
matters stripped.

* Wed May 12 2004 Kirill Maslinsky <kirill@altlinux.ru> 2.3-alt1
- Version number equals distributive version
- Changed alt-common.css (100% size font in "Important" notes)

* Wed May 12 2004 Kirill Maslinsky <kirill@altlinux.ru> 0.1-pre5
- Fixed bug with broken links when going from documentation main 
page: added file distrib.html redirecting browser to index.html.


* Tue May 11 2004 Kirill Maslinsky <kirill@altlinux.ru> 0.1-pre2
- Authors not of all sections known so authors list placed only 
on the title page and all authors names after sections removed.
Some typos corrected.

* Sat May 08 2004 Kirill Maslinsky <kirill@altlinux.ru> 0.1-pre1
- initial release

